### Method

# Gimp RGB get_pixel

since: 2.10

#### Declaration [src]

    void
    gimp_rgb_get_pixel (
      const GimpRGB* rgb,
      const Babl* format,
      gpointer pixel
    )

#### Description [src]

Writes the red, green, blue and alpha components of `rgb` to the color stored in `pixel`. The pixel format of `pixel` is determined by `format`.

Available since: 2.10

#### Parameters

`format`

  Type: `Babl`

  A Babl format.

  The data is owned by the caller of the function.

`pixel`

  Type: `gpointer`

  Pointer to the destination pixel.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The data is owned by the caller of the function.